Bug 244976 - programs that call snd_pcm_open segfault if debugged inside kdevelop
programs that call snd_pcm_open segfault if debugged inside kdevelop
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-06-20 07:39 EDT by Frank Duignan
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-25 00:12:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Duignan 2007-06-20 07:39:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20070603 Fedora/ Firefox/

Description of problem:
Program code to cause bug (paste over a simple kdevelop C, "Hello World" program).  Note: must link against libasound:
#include <config.h>
#include <stdio.h>
#include <stdlib.h>
#include <alsa/asoundlib.h>

main (int argc, char *argv[])

	int i;
	int err;
	short buf[128];
	snd_pcm_t *capture_handle;
	snd_pcm_hw_params_t *hw_params;
        printf("opening %s ... \n",argv[1]);
        i = 0;

	if ((err = snd_pcm_open (&capture_handle, argv[1], SND_PCM_STREAM_CAPTURE, 0)) < 0) {
		fprintf (stderr, "cannot open audio device %s (%s)\n", 
			 snd_strerror (err));
		exit (1);
	printf("Open worked\n");
	snd_pcm_close (capture_handle); 
	exit (0);

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start a new C "hello world" project in Kdevelop
2. Paste over template code with code from description section
3. Build
4. Run works fine.
5. Set a breakpoint anywhere and try debug (run to breakpoint)

Actual Results:
Segmentation fault

Expected Results:
Program should have debugged

Additional info:
Comment 1 Rex Dieter 2007-06-20 07:46:12 EDT
This looks like a good candidate to be reported upstream to bugs.kde.org.

In the meantime, would you be willing to try kdevelop-3.4.1 in updates-testing
to see if it resolves your issue?
Comment 2 Brian Powell 2008-04-25 00:12:20 EDT
The information we've requested above is required in order
to review this problem report further and diagnose/fix the
issue if it is still present.  Since there have not been any
updates to the report since thirty (30) days or more since we
requested additional information, we're assuming the problem
is either no longer present in the current Fedora release, or
that there is no longer any interest in tracking the problem.

Setting status to "CLOSED INSUFFICIENT_DATA".  If you still
experience this problem after updating to our latest Fedora
release and can provide the information previously requested, 
please feel free to reopen the bug report.

Thank you in advance.

Note that maintenance for Fedora 7 will end 30 days after the GA of Fedora 9.

Note You need to log in before you can comment on or make changes to this bug.